---
title: "ZMK State Of The Firmware #2"
author: Pete Johanson
author_title: Project Creator
author_url: https://gitlab.com/petejohanson
author_image_url: https://www.gravatar.com/avatar/2001ceff7e9dc753cf96fcb2e6f41110
tags: [SOTF, keyboards, firmware, oss, ble]
---

Welcome to the second ZMK "State Of The Firmware" (SOTF)!

This update will cover all the major activity since [SOTF #1](/blog/2020/08/12/zmk-sotf-1), preparations for the upcoming
Hacktoberfest activity, and a current open call for community feedback on a ZMK mascot.

## Recent Activity

So much going on in ZMK!

- Added a new generic [Hold Tap behavior](https://zmk.dev/docs/behaviors/hold-tap)
  in [#146](https://github.com/zmkfirmware/zmk/pull/146) which now powers mod-tap, layer-tap, etc. - [okke-formsma]
- [BLE profile/connection management](https://zmk.dev/docs/behaviors/bluetooth)
  in [#133](https://github.com/zmkfirmware/zmk/pull/133) - [petejohanson]
- Integration tests were added to automate testing of behaviors in [#131](https://github.com/zmkfirmware/zmk/pull/131) by [BrainWart] & [petejohanson]
- [Toggle layer behavior](https://zmk.dev/docs/behaviors/layers#toggle-layer), e.g. `&tog LOWER`, in
  [#98](https://github.com/zmkfirmware/zmk/pull/98) - [BrainWart]
- Key fix for dropped press/release over HID [#93](https://github.com/zmkfirmware/zmk/pull/93)/[#96](https://github.com/zmkfirmware/zmk/pull/96) - [careyk007](https://github.com/careyk007) & [petejohanson]
- Code formatting standardized using `clang-format` in [#183](https://github.com/zmkfirmware/zmk/pull/183) - [petejohanson]
- [Bootloader reset behavior](https://zmk.dev/docs/behaviors/reset#bootloader-reset), e.g. `&bootloader`, in [#116](https://github.com/zmkfirmware/zmk/pull/116) - [petejohanson]
- Various bug fixes and documentation

## New Shields

- QAZ in [#130](https://github.com/zmkfirmware/zmk/pull/130) - [tominabox1](https://github.com/tominabox1)
- Iris in [#151](https://github.com/zmkfirmware/zmk/pull/151) - [kurtis-lew](https://github.com/kurtis-lew)
- RoMac 2.1 in [#122](https://github.com/zmkfirmware/zmk/pull/122) - [bmcgavin](https://github.com/bmcgavin)
- Sofle in [#118](https://github.com/zmkfirmware/zmk/pull/118) - [CrossR](https://github.com/CrossR)
- splitreus62 in [#92](https://github.com/zmkfirmware/zmk/pull/92) - [Na-Cly](https://github.com/Na-Cly)

## New Boards

- DZ60RGB rev1 in [#166](https://github.com/zmkfirmware/zmk/pull/166) - [Nicell]
- nrfMicro in [#101](https://github.com/zmkfirmware/zmk/pull/101) - [okke-formsma]
- BlueMicro840 [#91](https://github.com/zmkfirmware/zmk/pull/91) - [Na-Cly](https://github.com/Na-Cly)

## Hacktoberfest Preparation

[Hacktoberfest](https://hacktoberfest.digitalocean.com/) is a yearly celebration of open source,
which encourages participation in OSS, especially from new contributors.

The ZMK contributors have been busy preparing for folks to join in on the fun by contributing to
ZMK!

- There is now a basic [Contributing Guide](https://github.com/zmkfirmware/zmk/blob/main/CONTRIBUTING.md) to help newcomers get oriented, and get up to speed.
- The [`Hacktoberfest`](https://github.com/zmkfirmware/zmk/issues?q=is%3Aissue+is%3Aopen+label%3AHacktoberfest)
  issue label will help participants discover good issues to work on.
  (The existing [`good first issue`](https://github.com/zmkfirmware/zmk/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22) label also helps with this)

We're looking forward to the launch of Hacktoberfest!

## Mascot Selection Feedback

The ZMK project would like to settle on a mascot! We're soliciting community feedback as part of
the process before a final mascot is selected.

The current mascots up for consideration are:

- Griffin
- Peregrine Falcon
- Zapata Wren
- Zorro (south american fox)

If you're interested in helping with the decision, head over to [Issue #195](https://github.com/zmkfirmware/zmk/issues/195) and add a reaction!

## Coming Soon!

There still lots of activity in ZMK, and plenty of exciting upcoming changes.

- Improved modifier infrastructure, including "shifted keycodes" - [okke-formsma]
- Battery percentage reporting over BLE - [Nicell]
- Complete defines for HID keycodes/usage IDs - [innovaker](https://github.com/innovaker)
- Additional core BLE connection/bond management work - [petejohanson]
- Improved power management - [petejohanson], [Nicell]
- One shot mod/layer behaviors - [okke-formsma]

## Statistics

Some statistics of interest for ZMK:

- GitHub
  - 115 Closed PRs
  - 64 Stars
  - 48 Forks
- Discord Chat
  - 186 total registered
- Website (last 30 days)
  - 7.4K page views
  - 474 new users

## Thanks!

Thanks again to the numerous contributors and users who have made working on ZMK such a pleasure!

[okke-formsma]: https://github.com/okke-formsma
[nicell]: https://github.com/Nicell
[petejohanson]: https://github.com/petejohanson
[brainwart]: https://github.com/BrainWart
